
TYPO3.Flow - Bug # 31311

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Security
Created: 2011-10-26 Assigned To: Bastian Waidelich
Updated: 2011-10-27 Due date:
PHP Version:
Has patch: No
Complexity: easy
Affected Flow version: FLOW3 1.0.0
Subject: Logout must not rely on a session
Description

AuthenticationProvider::logout() currently throws an Exception if no session has been initialized yet (due to the "loggedOut" signal, the
Session listens to).

Associated revisions
Revision eab9bf95 - 2011-10-26 14:10 - Bastian Waidelich

[BUGFIX] Logout must not rely on a session

AuthenticationProvider::logout() currently throws an Exception
if no session has been initialized yet.
This change fixes this by checking whether the Security Context
has been initialized.

Change-Id: If45256cf13497b4d0d598728f0018932b12c672b
Resolves: #31311
Releases: 1.0, 1.1

Revision 93b608a4 - 2011-10-27 10:44 - Bastian Waidelich

[BUGFIX] Logout must not rely on a session

AuthenticationProvider::logout() currently throws an Exception
if no session has been initialized yet.
This change fixes this by checking whether the Security Context
has been initialized.

Change-Id: Iefe6c641277e1faceee9085aa7103e2ab0156e07
Resolves: #31311
Releases: 1.0, 1.1

History
#1 - 2011-10-26 13:08 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change If45256cf13497b4d0d598728f0018932b12c672b has been pushed to the review server.
It is available at http://review.typo3.org/6347

#2 - 2011-10-26 13:12 - Mr. Hudson

Patch set 2 of change If45256cf13497b4d0d598728f0018932b12c672b has been pushed to the review server.
It is available at http://review.typo3.org/6347

#3 - 2011-10-26 14:10 - Mr. Hudson

Patch set 3 of change If45256cf13497b4d0d598728f0018932b12c672b has been pushed to the review server.
It is available at http://review.typo3.org/6347

#4 - 2011-10-27 10:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:eab9bf953180dcff96f5ae33666cafa0bf587a7a.
